apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  annotations:
    description: Grants cluster-admin privileges to certain CERN accounts. See cern-accounts-integration component of okd4-install.
    # If ArgoCD stops managing this resource, it should not delete it.
    # Accidental deletion of this resource makes it very hard to operate a the cluster! (only the admin `kubeconfig` works)
    argocd.argoproj.io/sync-options: Prune=false
  name: {{ .Values.clusterRoleBindingName }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: cluster-admin
subjects:
{{- range .Values.clusterAdmins }}
- apiGroup: rbac.authorization.k8s.io
  kind: User
  name: {{ . }}
{{- end }}
